msgpack::adaptor::convert< std::vector< unsigned char, Alloc > > Struct Template Reference

`#include <vector_unsigned_char.hpp>`

## Public Member Functions

msgpack::object const & | operator() (msgpack::object const &o, std::vector< unsigned char, Alloc > &v) const

## Member Function Documentation

## operator()()

template<typename Alloc >

msgpack::object const& msgpack::adaptor::convert< std::vector< unsigned char, Alloc > >::operator() | ( | msgpack::object const & | o,
|  | std::vector< unsigned char, Alloc > & | v
| ) |  | const

inline

References msgpack::type::BIN, msgpack::object::union_type::bin, msgpack::object_str::ptr, msgpack::object_bin::ptr, msgpack::object_str::size, msgpack::object_bin::size, msgpack::type::STR, msgpack::object::union_type::str, msgpack::object::type, and msgpack::object::via.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/vector_unsigned_char.hpp